<?php $showServices = croccante_options('_onepage_section_services', ''); ?>
<?php if ($showServices == 1) : ?>
	<?php
		$servicesSectionID = croccante_options('_onepage_id_services', 'services');
		$servicesTitle = croccante_options('_onepage_title_services', __('Services', 'croccante'));
		$servicesSubTitle = croccante_options('_onepage_subtitle_services', __('What We Offer', 'croccante'));
		$servicesPositionTitle = croccante_options('_onepage_positiontitle_services', 'left');
		$servicesTitleAnimation = croccante_options('_onepage_titleanimation_services', 'noanim');
		$servicesPhrase = croccante_options('_onepage_phrase_services', '');
		$servicesTextarea = croccante_options('_onepage_textarea_services', '');
		$servicesImage = croccante_options('_onepage_servimage_services');
		$textLenght = croccante_options('_onepage_lenght_services', '30');
		$customMore = croccante_options('_excerpt_more', '&hellip;');
		$singleServiceBox = array();
		$singleServiceFont = array();
		for( $number = 1; $number < CROCCANTE_VALUE_FOR_SERVICES; $number++ ){
			$singleServiceBox["$number"] = croccante_options('_onepage_choosepage_'.$number.'_services', '');
			$singleServiceFont["$number"] = croccante_options('_onepage_fontawesome_'.$number.'_services', '');
		}
	?>
<section class="croccante_onepage_section croccante_services <?php echo $servicesTitle ? 'withTitle' : 'noTitle' ?>" id="<?php echo esc_attr($servicesSectionID); ?>">
	<div class="croccante_services_background">
	<div class="croccante_services_color"></div>
		<div class="croccante_action_services <?php echo esc_attr($servicesPositionTitle); ?>">
			<?php if($servicesTitle): ?>
				<div class="onepage_header services <?php echo esc_attr($servicesTitleAnimation); ?>"><div class="crocaniminside"></div>
					<div class="croccante_inside_header">
						<?php if($servicesTitle || is_customize_preview()): ?>
							<h2 class="croccante_main_text"><?php echo esc_html($servicesTitle); ?></h2>
						<?php endif; ?>
						<?php if($servicesSubTitle || is_customize_preview()): ?>
							<p class="croccante_subtitle"><?php echo esc_html($servicesSubTitle); ?></p>
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>
			<div class="services_columns">
				<div class="one services_columns_single">
					<div class="singleServiceContent">
					<?php for( $number = 1; $number < CROCCANTE_VALUE_FOR_SERVICES; $number++ ) : ?>
						<?php if ($singleServiceBox["$number"]) : ?>
							<div class="singleService">
								<div class="serviceIcon"><i class="<?php echo esc_attr($singleServiceFont["$number"]); ?>" aria-hidden="true"></i></div>
								<div class="serviceText">
									<h3><?php echo get_the_title(intval($singleServiceBox["$number"])); ?></h3>
									<?php
									$post_contentt = get_post(intval($singleServiceBox["$number"]));
									$content = $post_contentt->post_content;
									?>
									<p><?php echo wp_trim_words($content , intval($textLenght), esc_html($customMore) ); ?></p>
								</div>
							</div>
						<?php endif; ?>
					<?php endfor; ?>
					</div>
				</div>
				<div class="two services_columns_single" style="background-image: url(<?php echo esc_url($servicesImage); ?>);">
					<div class="serviceColumnSingleColor"></div>
					<div class="serviceContent">
						<?php if ($servicesPhrase || is_customize_preview()): ?>
							<h3><?php echo esc_html($servicesPhrase); ?></h3>
						<?php endif; ?>
						<?php if ($servicesTextarea || is_customize_preview()): ?>
							<p><?php echo wp_kses($servicesTextarea, croccante_allowed_html()); ?></p>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php endif; ?>